## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global         srcname         proton-vpn-gtk-app
%global         forgeurl        https://github.com/ProtonVPN/proton-vpn-gtk-app
Version:        4.7.4
%global         tag             v%{version}
%forgemeta

Name:           %{srcname}
Release:        %autorelease
Summary:        Official ProtonVPN Linux app 

License:        GPL-3.0-or-later
URL:            %{forgeurl}
Source:         %{url}/archive/%{tag}/%{srcname}-%{version}.tar.gz

BuildRequires:  gtk3-devel
BuildRequires:  librsvg2-devel
BuildRequires:  python3-devel
# Test dependencies
BuildRequires:  python3dist(behave)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pyotp)
BuildRequires:  xorg-x11-server-Xvfb

Requires:  hicolor-icon-theme

BuildArch: noarch

%global _description %{expand:
The Proton VPN GTK app is intended for every Proton VPN service user, it
provides full access to all functionalities available to authenticated users,
with the user signup process handled on the website.}

%description %_description

%package -n python3-%{shortname}
Summary:        %{summary}

%description -n python3-%{shortname} %_description


%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel

%install
%pyproject_install
desktop-file-install --dir=%{buildroot}%{_datadir}/applications \
   rpmbuild/SOURCES/protonvpn-app.desktop
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
cp -p rpmbuild/SOURCES/proton-vpn-logo.svg \
   %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/

%check
#xvfb-run -a %{py3_test_envvars} behave integration_tests/features

%files
%license COPYING.md
%license LICENSE
%doc README.md
%{_datadir}/applications/protonvpn-app.desktop
%{_datadir}/icons/hicolor/scalable/apps/proton-vpn-logo.svg

%changelog
## START: Generated by rpmautospec
* Thu Nov 14 2024 John Doe <packager@example.com> - 4.7.4-1
- Uncommitted changes
## END: Generated by rpmautospec
